#! /bin/bash

set -e

VERSION="0.3.0"

source ./pika-build-config.sh

echo "$PIKA_BUILD_ARCH" > pika-build-arch

# Clone Upstream
git clone --recurse-submodules https://git.sr.ht/~emersion/wlr-randr -b "$VERSION"
cp -rvf ./debian ./wlr-randr/
cd ./wlr-randr

# Get build deps
apt-get build-dep ./ -y

# Build package
LOGNAME=root dh_make --createorig -y -l -p wlr-randr_"$VERSION" || echo "dh-make: Ignoring Last Error"
dpkg-buildpackage --no-sign

# Move the debs to output
cd ../
mkdir -p ./output
mv ./*.deb ./output/
